---
type: api
title: Get role mappings
description: Gets the organization role  mappings. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-role-mappings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-role-mappings
products:
  - Elastic Cloud Enterprise
---

# Get role mappings

## Paths

- `GET` `/organizations/{organization_id}/role_mappings`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Gets the organization role  mappings. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

The IdP info

`application/json`

- `mappings` ([] RoleMapping)
  The list of role assignments for the organization
  - `enabled` (boolean)
    Whether or not the role mapping is enabled
  - `name` (string)
    The name of the role mapping
  - `rule` ({} RoleMappingRule)
    - `any` ([] RoleMappingPropertyRule)
      The rules that must match. Only one rule must match for the role assignment to be applied.
      - `group` (string)
        The group to match. Can have wildcards. Must specify either `group` or `email` but not both.
      - `email` (string)
        The email to match. Can have wildcards. Must specify either `group` or `email` but not both.
    - `all` ([] RoleMappingPropertyRule)
      The rules that must match. All rules must match for the role assignment to be applied.
      - `group` (string)
        The group to match. Can have wildcards. Must specify either `group` or `email` but not both.
      - `email` (string)
        The email to match. Can have wildcards. Must specify either `group` or `email` but not both.
  - `role_assignments` ({} RoleAssignments)
    Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.
    - `platform` ([] PlatformRoleAssignment)
      Assignments for roles with platform scope.
      - `role_id` (string)
        The ID of the role that is assigned.
    - `organization` ([] OrganizationRoleAssignment)
      Assignments for roles with organization scope.
      - `role_id` (string)
        The ID of the role that is assigned.
      - `organization_id` (string)
        The ID of the organization the role is scoped to.
      - `application_roles` ([] string)
        If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
    - `deployment` ([] DeploymentRoleAssignment)
      Assignments for roles with deployment scope.
      - `role_id` (string)
        The ID of the role that is assigned.
      - `organization_id` (string)
        The ID of the organization the role is scoped to.
      - `all` (boolean)
        When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in `deployment_ids`.
      - `deployment_ids` ([] string)
        The IDs of the deployments the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
      - `application_roles` ([] string)
        If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
    - `project` ({} ProjectRoleAssignments)
      Assignments for roles with project scope.
      - `elasticsearch` ([] ProjectRoleAssignment)
        The Elasticsearch project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `observability` ([] ProjectRoleAssignment)
        The Observability project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `security` ([] ProjectRoleAssignment)
        The Security project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `workplaceai` ([] ProjectRoleAssignment)
        The WorkplaceAI project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
      - `vectordb` ([] ProjectRoleAssignment)
        The VectorDB project-scoped role assignments to set
        - `role_id` (string)
          The ID of the role that is assigned.
        - `organization_id` (string)
          The ID of the organization the role is scoped to.
        - `all` (boolean)
          When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in `project_ids`.
        - `project_ids` ([] string)
          The IDs of the projects the role is scoped to. Must be absent if `all` is true, and present if `all` is false.
        - `application_roles` ([] string)
          If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /organizations/{organization_id}/role_mappings
```

#### curl

```curl
curl -X GET "/organizations/{organization_id}/role_mappings"
```

